Informix

Expand all | Collapse all

Informhq java requirement

  • 1.  Informhq java requirement

    Posted Tue March 09, 2021 10:36 AM
    Edited by Cherry Tue March 09, 2021 10:37 AM
    Hello,

    I am configuring InformixHQ for my production databases. Informix instances are on running on v12.10FC8. 
    We don't have separate Java 1.8 installed on the server. I cannot use the JRE1.7 that comes with Informix v12.10FC8.
    So I found Java 1.8 under available under Symantec software binaries in the server. i was able to start agent using this Java 1.8.
    Is it okay to run like that?

    We want to have separate Java installed installed on the server.
    But I am so confused about Java license for java 1.8 or higher version to use with InformixHQ Agent.
    Please let me know if i can download Java 1.8 or higher version for free for InformixHQ Agent use or we have to purchase the license.


    ------------------------------
    Cherry
    ------------------------------


  • 2.  RE: Informhq java requirement

    Posted Wed March 10, 2021 07:30 AM
    If you have jre 1.8 on your server, you can use it. You do not need to install java separately.
    I am not sure about the java license.

    ------------------------------
    SangGyu Jeong
    Software Engineer
    Infrasoft
    Seoul Korea, Republic of
    ------------------------------



  • 3.  RE: Informhq java requirement

    Posted Wed March 10, 2021 11:28 AM
    Edited by Ramon Rey Wed March 10, 2021 11:48 AM
    Hello Cherry,
    I'm in the middle of working an issue (unrelated) about InformixHQ, and the engineer seem to stress about us running Java 1.8, so I'd say you are in the right track.
    Also, do watch the min and max memory allocations for the JVM, Xms and Xmx. I'm still testing it in my environment, but setting them both at 1024m seem to work great as the default doesn't quite work for some sytems.
    EG: exec -a "startAgent <your_agent_name>" java -Xms1024m -Xmx1024m -Dfile.encoding=utf-8 -jar informixhq-agent.jar informixhq-agent.properties &
    As always YMMV.
    My 0.02... Cheers!

    PS. same can be done for the server... ^_^

    ------------------------------
    Ramon Rey
    ------------------------------